#
# spec file for package kadm (Version alpha)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf qtlib qtdevel gpp libgpp ksupp klibs kbase libz gettext libgif libjpeg

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         kadm
Release:      19
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     kadm 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE-Admin (Alpha!)
Version:      alpha
Source0:  kadm.tar.gz
Source2:  klpq-0.3.0.tgz 
Source3:  kpackage-0.8.tgz
Source4:  kfsstatus-0.1.5.tgz
Source6:  kdf-0.3.11.tgz
Source7:  kcrontab-0.1.71.tgz
Source8:  kdiff-0.8.2.tgz
%description
Alpha stage!
Some KDE packages are still in an early development stage. Thus, KDE being
relatively stable, it may nevertheless happen that any of the KDE
applications crashes or produces strange effects.
This package is especially concerned since it was built from
not yet officially released programs.
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
This package contains some additional admin tools.
Documentation in:
/usr/doc/packages/kde/kadm 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kadm -b 2 -b 3 -b 4 -b 6 -b 7 -b 8
%build
. variables.sh
cd ..
export PATH=.:$PATH
for FILE in `find -name "*.P"` `find -name "config.cache"` `find -name "config.status"`
do
    echo -n "Removing $FILE..."
    rm -f $FILE
    echo "Done."
done
for DIR in *
do
    ( 
	cd $DIR 
	test -f configure && \
	    chmod u+x configure && \
	    ./configure \
		--prefix=${KDEDIR} \
		--with-shadow \
		--without-pam \
		--with-qt-dir=${QTDIR} \
		--with-qt-includes=${QTDIR}/include \
		--with-qt-libraries=${QTDIR}/lib
	test -f Makefile && make 
    )
done
%install
. variables.sh
export PATH=.:$PATH
export MYDOCS=${DOCROOT}/kadmin
cd ..
for DIR in *
do
    ( 
	cd $DIR
	test -f Makefile && make install 
    )
done
#
# move kdelnk files to other 
# menu hirarchy
#
cd /opt/kde/share/applnk
rm -rf Alpha
mkdir Alpha
for i in Settings System Utilities 
do
   rm -rf Alpha/$i
   mkdir Alpha/$i
   cp -R $i/* Alpha/$i
   rm -rf $i
done
Check
%files
%dir /opt/kde/share/apps/kdiff
%dir /opt/kde/share/apps/kdiff/toolbar
%dir /opt/kde/share/apps/kpackage
%dir /opt/kde/share/apps/kpackage/pics
%docdir /opt/kde/share/doc/HTML/de/kcontrol/kdf
%docdir /opt/kde/share/doc/HTML/de/kcrontab
%docdir /opt/kde/share/doc/HTML/de/kdiff
%docdir /opt/kde/share/doc/HTML/de/klpq
%docdir /opt/kde/share/doc/HTML/en/kcontrol
%docdir /opt/kde/share/doc/HTML/en/kcontrol/kdf
%docdir /opt/kde/share/doc/HTML/en/kcrontab
%docdir /opt/kde/share/doc/HTML/en/kdiff
%docdir /opt/kde/share/doc/HTML/en/kfsstatus
%docdir /opt/kde/share/doc/HTML/en/klpq
%docdir /opt/kde/share/doc/HTML/en/kpackage
/opt/kde/bin/kcmdf
/opt/kde/bin/kcrontab
/opt/kde/bin/kdf
/opt/kde/bin/kdiff
/opt/kde/bin/kfsstatus
/opt/kde/bin/klpq
/opt/kde/bin/kpackage
/opt/kde/bin/kpackage_dpkg_ins
/opt/kde/bin/kpackage_dpkg_rm
/opt/kde/share/applnk/Alpha/Settings/Information/kcmdf.kdelnk
/opt/kde/share/applnk/Alpha/System/kdf.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/KLpq.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/Kdiff.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kfsstatus.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kpackage.kdelnk
/opt/kde/share/apps/kdiff/toolbar/dodiff.xpm
/opt/kde/share/apps/kdiff/toolbar/next.xpm
/opt/kde/share/apps/kdiff/toolbar/openleft.xpm
/opt/kde/share/apps/kdiff/toolbar/openright.xpm
/opt/kde/share/apps/kdiff/toolbar/prev.xpm
/opt/kde/share/apps/kpackage/pics/bdeb.xpm
/opt/kde/share/apps/kpackage/pics/cross.xpm
/opt/kde/share/apps/kpackage/pics/deb.xpm
/opt/kde/share/apps/kpackage/pics/ptick.xpm
/opt/kde/share/apps/kpackage/pics/question.xpm
/opt/kde/share/apps/kpackage/pics/rpm.xpm
%doc /opt/kde/share/doc/HTML/de/kcontrol/kdf/index.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/1.1.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/1.2.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/1.3.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/1.4.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/2.1.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/2.2.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/2.3.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/3.1.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/3.2.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/3.3.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/edit_entry.gif
%doc /opt/kde/share/doc/HTML/de/kcrontab/edit_variables.gif
%doc /opt/kde/share/doc/HTML/de/kcrontab/index.html
%doc /opt/kde/share/doc/HTML/de/kcrontab/main_window.gif
%doc /opt/kde/share/doc/HTML/de/kdiff/Makefile
%doc /opt/kde/share/doc/HTML/de/kdiff/Makefile.am
%doc /opt/kde/share/doc/HTML/de/kdiff/Makefile.in
%doc /opt/kde/share/doc/HTML/de/kdiff/colordialog.gif
%doc /opt/kde/share/doc/HTML/de/kdiff/kdiff-1.html
%doc /opt/kde/share/doc/HTML/de/kdiff/kdiff-2.html
%doc /opt/kde/share/doc/HTML/de/kdiff/kdiff-3.html
%doc /opt/kde/share/doc/HTML/de/kdiff/kdiff-4.html
%doc /opt/kde/share/doc/HTML/de/kdiff/kdiff.gif
%doc /opt/kde/share/doc/HTML/de/kdiff/kdiff.html
%doc /opt/kde/share/doc/HTML/de/kdiff/menu.gif
%doc /opt/kde/share/doc/HTML/de/kdiff/statusbar.gif
%doc /opt/kde/share/doc/HTML/de/kdiff/toolbar.gif
%doc /opt/kde/share/doc/HTML/de/klpq/index.html
%doc /opt/kde/share/doc/HTML/en/kcontrol/kdf/index.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/1.1.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/1.2.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/1.3.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/1.4.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/2.1.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/2.2.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/2.3.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/3.1.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/3.2.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/3.3.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/edit_entry.gif
%doc /opt/kde/share/doc/HTML/en/kcrontab/edit_variables.gif
%doc /opt/kde/share/doc/HTML/en/kcrontab/index.html
%doc /opt/kde/share/doc/HTML/en/kcrontab/main_window.gif
%doc /opt/kde/share/doc/HTML/en/kdiff/Makefile
%doc /opt/kde/share/doc/HTML/en/kdiff/Makefile.am
%doc /opt/kde/share/doc/HTML/en/kdiff/Makefile.in
%doc /opt/kde/share/doc/HTML/en/kdiff/colordialog.gif
%doc /opt/kde/share/doc/HTML/en/kdiff/fontdialog.gif
%doc /opt/kde/share/doc/HTML/en/kdiff/kdiff-1.html
%doc /opt/kde/share/doc/HTML/en/kdiff/kdiff-2.html
%doc /opt/kde/share/doc/HTML/en/kdiff/kdiff-3.html
%doc /opt/kde/share/doc/HTML/en/kdiff/kdiff-4.html
%doc /opt/kde/share/doc/HTML/en/kdiff/kdiff.gif
%doc /opt/kde/share/doc/HTML/en/kdiff/kdiff.html
%doc /opt/kde/share/doc/HTML/en/kdiff/menu.gif
%doc /opt/kde/share/doc/HTML/en/kdiff/statusbar.gif
%doc /opt/kde/share/doc/HTML/en/kdiff/toolbar.gif
%doc /opt/kde/share/doc/HTML/en/kfsstatus/index-1.html
%doc /opt/kde/share/doc/HTML/en/kfsstatus/index-2.html
%doc /opt/kde/share/doc/HTML/en/kfsstatus/index-3.html
%doc /opt/kde/share/doc/HTML/en/kfsstatus/index-4.html
%doc /opt/kde/share/doc/HTML/en/kfsstatus/index.html
%doc /opt/kde/share/doc/HTML/en/klpq/index.html
%doc /opt/kde/share/doc/HTML/en/kpackage/index-1.html
%doc /opt/kde/share/doc/HTML/en/kpackage/index-2.html
%doc /opt/kde/share/doc/HTML/en/kpackage/index-3.html
%doc /opt/kde/share/doc/HTML/en/kpackage/index.html
%doc /opt/kde/share/doc/HTML/en/kpackage/logotp3.gif
/opt/kde/share/icons/debfile.xpm
/opt/kde/share/icons/kcmdf.xpm
/opt/kde/share/icons/kcrontab.xpm
/opt/kde/share/icons/kdf.xpm
/opt/kde/share/icons/kdiff.xpm
/opt/kde/share/icons/kpackage.xpm
/opt/kde/share/icons/mini/debfile.xpm
/opt/kde/share/icons/mini/kcmdf.xpm
/opt/kde/share/icons/mini/kcrontab.xpm
/opt/kde/share/icons/mini/kdf.xpm
/opt/kde/share/icons/mini/kdiff.xpm
/opt/kde/share/icons/mini/mini-kpackage.xpm
/opt/kde/share/icons/mini/rpmfile.xpm
/opt/kde/share/icons/rpmfile.xpm
/opt/kde/share/locale/de/LC_MESSAGES/kcrontab.mo
/opt/kde/share/locale/de/LC_MESSAGES/kdf.mo
/opt/kde/share/locale/de/LC_MESSAGES/kdiff.mo
/opt/kde/share/locale/de/LC_MESSAGES/klpq.mo
/opt/kde/share/locale/no/LC_MESSAGES/kcrontab.mo
/opt/kde/share/locale/pt/LC_MESSAGES/kpackage.mo
/opt/kde/share/locale/sk/LC_MESSAGES/kpackage.mo
/opt/kde/share/mimelnk/application/x-debian-package.kdelnk
/opt/kde/share/mimelnk/application/x-rpm.kdelnk

